package config

import (
	"log"
	"os"
)

var (
	// PocketBaseURL URL сервера PocketBase
	PocketBaseURL string
)

func init() {
	// Получаем URL из переменной окружения или используем значение по умолчанию
	PocketBaseURL = os.Getenv("POCKETBASE_URL")
	if PocketBaseURL == "" {
		PocketBaseURL = "http://localhost:8090"
		log.Printf("POCKETBASE_URL не установлен, используем значение по умолчанию: %s", PocketBaseURL)
	} else {
		log.Printf("Используем POCKETBASE_URL из переменной окружения: %s", PocketBaseURL)
	}
}
